# quasselcore

## Purpose

[Quasselcore](https://quassel-irc.org/) works best with a real certificate. But if you have, like I have, a [traefik](https://traefik.io/) instance
running, you should obtain your certificates from that instance. The combination of services in this `docker-compose` file ensures this.

## Installation

Very simple. Just fetch the `docker-compose` file and add your hostname (`QUASSEL_HOSTNAME`) to a local `.env` file:

    $ echo "QUASSEL_HOSTNAME=example.local" > .env

Best then to check if everything is okay:

    $ docker-compose config -q && echo "Everything is fine."
    Everything is fine.

Then fire it up:

    $ docker-compose up -d
    Creating quasselcore_echo_1 ... done
    Creating quasselcore_certdumper_1 ... done
    Creating quassel-core             ... done

